/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION  1986,1987,1988
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
/* $Header:sed.c 12.0$ */
/* $ACIS:sed.c 12.0$ */
/* $Source: /ibm/acis/usr/sys/ca/RCS/sed.c,v $ */

#if !defined(lint) && !defined(NO_RCS_HDRS)
static char *rcsid = "$Header:sed.c 12.0$";
#endif

#include "softint.h"

/* routines done by SED	*/

struct qhdr {
	struct qhdr *link, *rlink;
};

_insque(new, header)
	register struct qhdr *new, *header;
{
	(*new).link = (*header).link;
	(*new).rlink = header;
	(*(*header).link).rlink = new;
	(*header).link = new;
}


_remque(elt)
	register struct qhdr *elt;
{
	(*(*elt).link).rlink = (*elt).rlink;
	(*(*elt).rlink).link = (*elt).link;
}


blkclr(dest, len)
	register char *dest;
	register int len;
{
	mfill(dest, len, 0);
}


#ifdef INET
setsoftnet()
{

	softlevel |= SOFT_NET;
	setsoftint();    /* set bit 22 in scr 12 (ie set the bit in the IRB */
	/* that requests a level 6 interrupt */
}


#endif INET
